package com.example.myapplication.composeui.navigation

import androidx.annotation.StringRes
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.Favorite
import androidx.compose.material.icons.filled.Info
import androidx.compose.material.icons.filled.List
import androidx.compose.material.icons.filled.Person
import androidx.compose.ui.graphics.vector.ImageVector
import com.example.myapplication.R

enum class Screen(
    val route: String,
    @StringRes val resourceId: Int,
    val icon: ImageVector = Icons.Filled.Favorite,
    val showInBottomBar: Boolean = true
) {
    CategoryList(
        "categories-list", R.string.categories_list, Icons.Filled.List
    ),
    UserList(
      "users-list", R.string.user_list, Icons.Filled.Person
    ),
    About(
        "about", R.string.about_main_title, Icons.Filled.Info
    ),
    UserView(
      "user-view/{id}", R.string.user_view_title, showInBottomBar = false
    );

    companion object {
        val bottomBarItems = listOf(
            CategoryList,
            UserList,
            About,
        )

        fun getItem(route: String): Screen? {
            val findRoute = route.split("/").first()
            return values().find { value -> value.route.startsWith(findRoute) }
        }
    }
}